System requirements

02.02.06
Quake 4 requirements revealed
02.02.06

Quake 4 requirements revealed

At last, Aspyr has finally released the system requirements for the upcoming Quake 4. So, without fu...

By D. Caolo,   02.02.06
View